Subject: bug#28843: 26.0.90; gnus kills unsaved message buffer

From: Nick Helm <[email-masked]>
Date: Sun, 15 Apr 2018 08:16:15 +1200

On Sun, 15 Apr 2018 at 01:01:01 +1200, Lars Ingebrigtsen wrote:

> Nick Helm <[email-masked]> writes:
>
>> Personally, I think prompting gains us quite a bit. Most importantly, it
>> can remind users that an un-dealt-with message exists. Maybe they
>> intended to send it, but forgot, or mis-keyed? Or perhaps it contains
>> sensitive info that shouldn't be kept? By silently saving (to a
>> pretty obscure place) the user may never know about it.
>
> Yeah, that's true.  You've convinced me.  :-)

That's great, thanks!

> Do you have a patch to make Gnus prompt at the right time (while it's
> still early enough that messages can be sent etc)?

I'm afraid I only got as far as thinking about how it might work,
possibly using `gnus-exit-gnus-hook', but that's about it.